-- ----------------------------
-- 2024-07-27
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_child_license`;
CREATE TABLE `mortals_xhx_child_license`  (
 `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
 `siteId` bigint(20) DEFAULT NULL COMMENT '站点Id',
 `siteName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '站点名称',
 `catalogId` bigint(20) DEFAULT NULL COMMENT '目录id',
 `catalogName` varchar(64) DEFAULT NULL COMMENT '目录名称',
 `applyId` bigint(20) DEFAULT NULL COMMENT '申请Id',
 `documentId` bigint(20) DEFAULT NULL COMMENT '子证配置Id',
 `documentName` varchar(128) NOT NULL COMMENT '子证名称',
 `deptId` bigint(20) NOT NULL COMMENT '部门id',
 `deptName` varchar(128) NOT NULL COMMENT '部门名称',
 `marketEntityName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '市场主体名称',
 `licenseCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '许可证编号',
 `legalPersonName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '法定代表人（负责人）',
 `creditCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '统一社会信用代码',
 `productLicenseTime` datetime NULL DEFAULT NULL COMMENT '制证日期',
 `certQRCode` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '证件二维码',
 `certAuthority` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '制证机关',
 `businessPlace` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '经营场所',
 `licensedItems` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci  DEFAULT '' COMMENT '许可项目',
 `originalFileName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '正本文件名称',
 `originalFilePath` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '正本文件相对路径地址',
 `copyFileName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '副本文件名称',
 `copyFilePath` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '副本文件相对路径地址',
 `summary` varchar(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '简介',
 `formStyleContent` mediumtext COMMENT '动态表单样式',
 `formContent` mediumtext COMMENT '提交的表单',
 `processStatus` tinyint(2)    DEFAULT '0'  COMMENT '处理状态(0.未处理,1.已处理)',
 `remark` varchar(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
 `createTime` datetime(0) NOT NULL  COMMENT '创建时间',
 `createUserId` bigint(20) NOT NULL  COMMENT '创建用户',
 `updateUserId` bigint(20)  DEFAULT NULL COMMENT '更新用户',
 `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
 PRIMARY KEY (`id`) USING BTREE,
 KEY `siteId` (`siteId`) USING BTREE,
 KEY `catalogId` (`catalogId`) USING BTREE,
 KEY `applyId` (`applyId`) USING BTREE,
 KEY `documentId` (`documentId`) USING BTREE,
 KEY `deptId` (`deptId`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '行业许可子证' ROW_FORMAT = Dynamic;

